function init_location_2()
  disable_buy_vegetation_action("svetlyanka_2;svetlyanka_2_2;svetlyanka_2_3;peshernik_2;peshernik_2_2;peshernik_2_3;cover_1;cover_2;cover_3;malahit_1;malahit_2;malahit_3;kristalit_2;kristalit_2_2;kristalit_2_3",g_game);
  disable_farm_action("location_2", g_game)
  set_mark_actions("product_storage_4", g_game)
  print_html("<FONT color='green'><b>init location 2 SUCCESFULL</FONT></b>")
end

function location_2_init_skolopendra()
  set_boss_bug_action("boss_bigmama", g_game);
  set_farm_day_loop_action(true, g_game);
  set_waves_name_key_action("no_pets", g_game);
  set_no_producing_flowers_mode_action(true, "location_2", g_game);
  set_no_want_water_flowers_mode_action(true, "location_2", g_game);
  disable_helper_action(g_game);
  print_html("<FONT color='green'><b>Location 2 Init Skolopendra SUCCESFULL</FONT></b>")
end

function location_2_big_mama_killed()
  set_farm_day_loop_action(false, g_game);
  g_game:current_farm():set_time_left(15);
end

function location_2_skolopendra_restore()
  set_farm_day_loop_action(false, g_game);
  set_waves_name_key_action("", g_game);
  set_no_producing_flowers_mode_action(false, "location_2", g_game);
  set_no_want_water_flowers_mode_action(false, "location_2", g_game);
  set_boss_bug_action("", g_game);

  enable_helper_action(g_game);
  print_html("<FONT color='green'><b>Location 2 Restore Skolopendra SUCCESFULL</FONT></b>")
end